Class | BlankSlate
In: | lib/active_support/vendor/builder-2.1.2/blankslate.rb
Parent: | Object

BlankSlate provides an abstract base class with no predefined methods (except for `__send__` and `__id__`). BlankSlate is useful as a base class when writing classes that depend upon `method_missing` (e.g. dynamic proxies).

### Methods

find_hidden_method hide reveal

### Public Class methods

find_hidden_method(name)
hide(name)

Hide the method named `name` in the BlankSlate class. Don‘t hide `instance_eval` or any method beginning with "__".

reveal(name)

Redefine a previously hidden method so that it may be called on a blank slate object.

[Validate]